FROM registry.cern.ch/docker.io/library/python:3.12-slim

RUN apt-get update &&\
    apt-get install -y --no-install-recommends git bash sudo curl lsof xz-utils &&\
    apt-get purge -y --auto-remove &&\
    rm -rf /var/lib/apt/lists/*

RUN mkdir -p itk-demo-sw/
WORKDIR /itk-demo-sw/

RUN python -m pip install --upgrade pip
RUN pip install uv
ENV PATH=$PATH:$HOME/.local/bin

ENV PYTHONUNBUFFERED=TRUE
RUN pip install --upgrade pip

COPY requirements.txt .
RUN uv pip install --system -r requirements.txt -vv
COPY . .

#test if needed
RUN python3 -m pip install .  
